%define api	1.0
%define major	0
%define oname	gst-rtsp-server

%define libname %mklibname gstrtspserver %{api} %{major}
%define girname %mklibname gstrtspserver-gir %{api}
%define develname %mklibname -d gstrtspserver

Summary:	RTSP server library for the GStreamer framework
Name:		gstreamer1.0-rtsp-server
Version:	1.8.3
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Libraries
URL:		http://gstreamer.freedesktop.org/
Source0:  	http://gstreamer.freedesktop.org/src/%{oname}/%{oname}-%{version}.tar.xz
#---------------------------------------
BuildRequires: gettext-devel
BuildRequires: %{_lib}girepository-devel
BuildRequires: %{_lib}glib2.0-devel
BuildRequires: %{_lib}gstreamer1.0-devel
BuildRequires: %{_lib}gstreamer-plugins-base1.0-devel
#---------------------------------------
%description
RTSP server based on GStreamer.

%package -n %{libname}
Summary:	RTSP server library for the GStreamer framework
Group:		System/Libraries

%description -n %{libname}
RTSP server based on GStreamer1.0.

%package -n %{develname}
Summary:	RTSP server library for the GStreamer framework
Group:		Development/Libraries
Requires:	%{libname}
Provides:	%{name}-devel = %{version}
Provides:	libgstrtspserver-devel = %{version}-%{release}

%description -n %{develname}
RTSP server based on GStreamer1.0.

%prep
%setup -q -n %{oname}-%{version}

%build
%configure2_5x \
	--with-package-name='%{distribution} %name package' \
	--with-package-origin='http://www.pclinuxos.com/' \
	--disable-static \
	--enable-maintainer-mode
%make

%install
rm -rf %buildroot
%makeinstall_std

# we don't want these
find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%doc README AUTHORS docs/libs/html
%{_libdir}/libgstrtspserver-%{api}.so.%{major}*
%{_libdir}/gstreamer-1.0/libgstrtspclientsink.so
%{_libdir}/girepository-1.0/GstRtspServer-%{api}.typelib


%files -n %{develname}
%{_libdir}/libgstrtspserver-%{api}.so
%{_libdir}/pkgconfig/gstreamer-rtsp-server-%{api}.pc
%{_includedir}/gstreamer-%{api}/gst/rtsp-server
%{_datadir}/gir-1.0/GstRtspServer-%{api}.gir


%changelog
* Sat Nov 19 2016 adrianomorselli <adrianomorselli> 1.8.3-1uplos2016
- rebuild

* Sun Sep 18 2016 bb <bb> 1.8.3-1pclos2016
- update

* Fri Jun 10 2016 bb <bb> 1.8.2-1pclos2016
- update

